"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.startHotReload = startHotReload;
exports.updateReducers = updateReducers;
function startHotReload(_ref) {
  var store = _ref.store;
  if (typeof window === 'undefined') {
    throw new Error('[react-pages] "hot reload" only works in a web browser');
  }
  // Updates Redux "reducers" and actions.
  window._ReactPages_hotReloadRedux = function (_ref2) {
    var reducers = _ref2.reducers;
    // `store.hotReload()` function is created in `./lib/redux/store.js`.
    store.hotReload(reducers);
  };
  // If if a hot reload has been requested before the page finished rendering.
  if (window._ReactPages_hotReloadReduxOnLoadArgument) {
    window._ReactPages_hotReloadRedux(window._ReactPages_hotReloadReduxOnLoadArgument);
  }
}
function updateReducers(reducers) {
  if (typeof window === 'undefined') {
    throw new Error('[react-pages] `reducers` could only be updated in a web browser');
  }
  if (window._ReactPages_hotReloadRedux) {
    window._ReactPages_hotReloadRedux({
      reducers: reducers
    });
  } else {
    window._ReactPages_hotReloadReduxOnLoadArgument = {
      reducers: reducers
    };
  }
}
//# sourceMappingURL=hotReload.js.map