"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = useNavigationStartEffect;
var _react = require("react");
function useNavigationStartEffect(onNavigate) {
  (0, _react.useEffect)(function () {
    var addListener = function addListener() {
      if (!window._ReactPages_Navigation_Start_Listeners) {
        window._ReactPages_Navigation_Start_Listeners = [];
      }
      window._ReactPages_Navigation_Start_Listeners.push(onNavigate);
    };
    var removeListener = function removeListener() {
      if (window._ReactPages_Navigation_Start_Listeners) {
        window._ReactPages_Navigation_Start_Listeners = window._ReactPages_Navigation_Start_Listeners.filter(function (_) {
          return _ !== onNavigate;
        });
      }
    };
    addListener();
    return function () {
      removeListener();
    };
  }, []);
}
//# sourceMappingURL=useNavigationStartEffect.js.map